README
-----
by Liangzhe Chen and B. Aditya Prakash

This is the java code for the POLIM model SDM 2019. 
--
Joint Post and Link-level Influence Modeling on Social Media.  
Liangzhe Chen and B. Aditya Prakash
in SDM 2019, Calgary.
--

The writing of the code adopts the 
same structure used in COLD by Zhiting Hu (Community Level Diffusion Extraction (SIGMOD2015)).
The instruction to run the code is hence also similar to COLD.

Parameter Configuration
----
  * Specify the model parameters in `src/training/CallFiniteGibbsSampler.java`
  * Specify the data paths in `src/datastructures/DataPaths.java`

  See the respective files for the details


Compile
----

    sh build.sh 

  This will create a jar file `polim_paral.jar`


Usage
----

    java -jar polim_paral.jar

  This will train the model. The trained model will be stored in the output
  directory as specified in `DataPaths.java`.


Data
----

A toy dataset in included in `data/`, including

Processed_tweets:
Each user has a document in format:
tweet_id	word1 word2 word3 ...

rt_labels:
Each user has a document in format:
tweet_id	retweet or not (binary)

vocab.txt: a list of all the vocabularies

edges.txt: connection between users

