#!/bin/bash
  
generateSrclist () {
    local pdir=$1;
    local path=$pdir/$2;
#   ls $path
    for file in `ls $path`
    do
#       echo $path $file
#       echo $(expr match "$file" ".*.java")
        if [ -d $path/$file ]; then
            generateSrclist $path $file
#           echo $path $file
        elif [ "$(expr match "$file" ".*.java")" -gt 0 ]; then
            echo $path/$file >> srclist.txt
        fi
    done
}

#compile source code
rm srclist.txt &> /dev/null
generateSrclist . src

classpath=lib/*

javac -d bin/ -cp $classpath @srclist.txt 

#generate jar
jar cvfm polim_paral.jar manifest.txt -C bin ./
