/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package data;

import java.util.ArrayList;
/**
 *
 * @author Liangzhe
 */
public class User {
    public int uid;
    public int c;//community
    public double v;//probability of generating documents based on own interest
    public ArrayList<Document> docs=new ArrayList<Document>();
    public ArrayList<Link> links=new ArrayList<Link>();
    public int no_docs;
    public int no_links;
    
    public User(int uid){
        this.uid=uid;
        this.no_docs=0;
        this.no_links=0;
    }
    public void addDoc(Document doc){
        docs.add(doc);
        no_docs++;
    }
    public void addLink(Link l){
        links.add(l);
        no_links++;
    }
    public void setZ(int i,int new_z){
        docs.get(i).z=new_z;
    }
    public void print(){
        //print the content of the user
        System.out.println(uid+":");
        for (int i=0;i<no_links;i++){
            System.out.print(links.get(i).target+" ");
        }
        System.out.print("\n");
    }
}
